html,body{
    height: 100%;
    
}
body{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
   /* background: linear-gradient(90deg, rgba(1,1,88,0.82),rgb(1,1,29)); */
    transition: 1s all ease-in-out; 
}


#init{
     /*margin-top: 2rem;*/ 
    /*background: rgb(255, 255, 255); */
    background-color:#012970;
    /*background-image: linear-gradient(to right, #673ab7, #813bcb, #9e38de, #bc32ef, #dc22ff); */
    border:none;
    /* padding: 10px 20px; */

    padding: 0px 15px 0px 15px;
    border-radius:  20px;
   
    /* font-size: 12px; */
    font-size: 20px;
    font-weight:bold;
    color: rgb(255, 255, 255);

    cursor: pointer;
}

.desc p{
    color: rgb(133,153,168);
    margin: 0;
    font-weight: 600;
}
/*
.text{
    font-size: 65px;
    font-weight: 800;
    color: cadetblue;
    margin: 0;
}*/
.parent{
    position: relative;
    height: 100%;
    padding: 0 7rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.bot-img{
    width: 20rem;
    height: 20rem;
}
.child{
    box-shadow: 0 0 2px  rgb(0, 0, 0);
    border-radius: 15px;
    height: 30rem;
    width: 16rem;
    margin: auto;
  
    background: white;

}
.header1 img{
    width: 35px;
    height: 35px;
    border-radius: 50%;
    margin: 0 0.5rem;
    border: 1px solid rgb(231,231,231);
    padding: 5px;
}
.header1{
    position: absolute;
    top: 0;
    display: flex;
    align-items: center;
    border-bottom: 1px solid whitesmoke;
    background: white;
    width: 20rem;

    padding: 5px 0;
    border-top-right-radius: 15px;
    border-top-left-radius: 15px;
    z-index: 1;
    box-shadow: 0 0 2px rgb(0, 0, 0);
}
.h-child{
    display: flex;
    align-items: center;
}
.header1 span{
    font-size: 13px;
    margin: 0;
    padding: 0;
}
.refBtn{
    position: absolute;
    bottom: 1rem;
    right: 1rem;
    background: none;
    border: none;
    border-radius: 50%;
    color: indianred;
    font-size: 18px;
    cursor: pointer;
}
.name{
    font-weight: 600;
}
.footer1{
    position: absolute;
    bottom: 0;
    width: 20rem;
 
    background: white;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    color: rgb(255, 0, 0);
    padding: 15px 0;
    text-align: center;
    font-size: 14px;
    font-weight: bold;
    box-shadow: 0 0 2px rgb(0, 0, 0);
   
}
#chat-box{
    position: relative;
    top: 40px;
  
    padding: 25px 10px;
    font-size: 12px;
    height: 24.2rem;
    width: 20rem;
    overflow: auto;
    background: rgb(224,241,253);
    text-align: right;
}

/* these classes will be used in javascript file */
.msg{
    background: white;
    padding: 5px 15px;
    border-top-right-radius: 15px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
  
    width: max-content;
    font-size: 14px;
    font-weight: bold;
    /* color: lightslategrey; */
    color: #012970 ;
    box-shadow: 0 0 5px rgb(226,226,226);
    max-width: 65%;
    text-align: left;
}
.test{
    text-align: right;
    margin: 20px 0;
}

.rep{
    background: rgb(255, 255, 255);
    color:  #012970;
    padding: 5px 15px;
    
    border-top-right-radius: 15px;
    border-bottom-left-radius: 15px;
    border-top-left-radius: 15px;
    font-size: 14px;
    font-weight: bold;
    box-shadow: 0 0 5px rgb(211,211,211);
}

.opt{
    padding: 5px 20px;
    columns: lightsalmon;
    border: 1px solid  blueviolet;
    border-radius: 1rem;
    /*margin: 0.3rem 1.6rem;*/
    margin-top: 10px;
    margin-left:70px;
    margin-right: 20px;
    
   
    /*display: inline-block;*/
    display:block;
    cursor: pointer;
    font-weight: 500;
    background: white;
    text-align: center;
    font-size: 14px;
    font-weight: bold;
    color:  blueviolet;
}
.link{
    text-decoration: none;
    display: block;
    text-align: center;
    color: rgb(0, 0, 0) !important;
    /* background: white; */
   /* background: rgb(255, 255, 255); */
   /* background: #f3e304; */
   
}
.m-link{
    text-decoration: none;
    
}
.link:active{
    background: white;
    /* border: 1px solid blueviolet;
    color: blueviolet; */
    border: 1px solid #012970;
    color: #012970;
}



/* chat-bot-icon */

.chat-bot-icon {
    position: fixed;
    bottom: 20px;
    right: 20px;
    height: 50px;
    width: 50px;
    background-image: linear-gradient(to right, #673ab7, #813bcb, #9e38de, #bc32ef, #dc22ff);
    z-index: 9999;
    border-radius: 30px;
    box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.1);
    text-align: center;
    line-height: 50px;
    cursor: pointer;
    transition: all 0.5s ease;
}
.chat-bot-icon img {
    height: 90px;
    width: 90px;
    position: absolute;
    right: -13px;
    top: -33px;
}
.chat-bot-icon svg {
    color: #fff;
    -moz-transition: all 0.5s linear;
    -webkit-transition: all 0.5s linear;
    transition: transform 0.5s linear;
    position: absolute;
    left: 13px;
    top: 13px;
    opacity: 0;
    z-index: -1;
}
.chat-bot-icon svg.animate {
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
    opacity: 1;
    z-index: 1;
}





/* bot-icon */

.bot-icon {
    position: fixed;
    bottom: 25px;
    right: 25px;
    height: 50px;
    width: 50px;
    /* background-image: linear-gradient(to right, #673ab7, #813bcb, #9e38de, #bc32ef, #dc22ff); */
    z-index: 9999;
    border-radius: 30px;
    box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.1);
    text-align: center;
    line-height: 50px;
    cursor: pointer;
    transition: all 0.5s ease;
}
.bot-icon img {
    height: 60px;
    width: 60px;
    position: absolute;
    right: 0px;
    bottom: 0px;
    
    /* right: -13px;
    top: -33px; */
}


.bot-icon svg {
    color: #fff;
    -moz-transition: all 0.5s linear;
    -webkit-transition: all 0.5s linear;
    transition: transform 0.5s linear;
    position: absolute;
    left: 13px;
    top: 13px;
    opacity: 0;
    z-index: -1;
}
.bot-icon svg.animate {
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
    opacity: 1;
    z-index: 1;
}




@media (max-width: 1000px) {
   
    #chat-box{
        position: relative;
        top: 40px;
        width:20rem;
        padding: 25px 10px;
        font-size: 12px;
        height: 26rem;
    
        overflow: auto;
        background: rgb(224,241,253);
        text-align: center;
    }
    
    .header1{
        position: absolute;
        top: 0;
        display: flex;
        align-items: center;
        border-bottom: 1px solid whitesmoke;
        background: white;
        width:20rem;
      
        padding: 5px 0;
        border-top-right-radius: 15px;
        border-top-left-radius: 15px;
        z-index: 1;
        box-shadow: 0 0 2px rgb(175,175,175);
    }
    
    .footer1{
        position: absolute;
        bottom: 0;
        width:20rem;
    
        background: white;
        border-bottom-left-radius: 15px;
        border-bottom-right-radius: 15px;
        color: indianred;
        padding: 15px 0;
        text-align: center;
        font-size: 14px;
        box-shadow: 0 0 3px rgb(153,153,153);
       
    }
      }
      




@media (max-width: 750px) {
   
    #chat-box{
        position: relative;
        top: 40px;
        width:18.5rem;
        padding: 25px 10px;
        font-size: 12px;
        height: 26rem;
    
        overflow: auto;
        background: rgb(224,241,253);
        text-align: center;
    }
    
    .header1{
        position: absolute;
        top: 0;
        display: flex;
        align-items: center;
        border-bottom: 1px solid whitesmoke;
        background: white;
        width:18.5rem;
      
        padding: 5px 0;
        border-top-right-radius: 15px;
        border-top-left-radius: 15px;
        z-index: 1;
        box-shadow: 0 0 2px rgb(175,175,175);
    }
    
    .footer1{
        position: absolute;
        bottom: 0;
        width:18.5rem;
    
        background: white;
        border-bottom-left-radius: 15px;
        border-bottom-right-radius: 15px;
        color: indianred;
        padding: 15px 0;
        text-align: center;
        font-size: 14px;
        box-shadow: 0 0 3px rgb(153,153,153);
       
    }
      }
      



      @media (max-width: 600px) {
   
        #chat-box{
            position: relative;
            top: 40px;
            width:18rem;
           
            padding: 25px 10px;
            font-size: 12px;
            height: 26rem;
            
            overflow: auto;
            background: rgb(224,241,253);
            text-align: center;
        }
        
        .header1{
            position: absolute;
            top: 0;
            display: flex;
            align-items: center;
            border-bottom: 1px solid whitesmoke;
            background: white;
            width:18rem;
              
            padding: 5px 0;
            border-top-right-radius: 15px;
            border-top-left-radius: 15px;
            z-index: 1;
            box-shadow: 0 0 2px rgb(175,175,175);
        }
        
        .footer1{
            position: absolute;
            bottom: 0;
            width:18rem;
          
            background: white;
            border-bottom-left-radius: 15px;
            border-bottom-right-radius: 15px;
            color: indianred;
            padding: 15px 0;
            text-align: center;
            font-size: 14px;
            box-shadow: 0 0 3px rgb(153,153,153);
           
        }
          }
          



@media (max-width: 490px) {
   
#chat-box{
    position: relative;
    top: 40px;
    width:17rem;
   
    padding: 25px 10px;
    font-size: 12px;
    height: 26rem;
    
    overflow: auto;
    background: rgb(224,241,253);
    text-align: center;
}

.header1{
    position: absolute;
    top: 0;
    display: flex;
    align-items: center;
    border-bottom: 1px solid whitesmoke;
    background: white;
    width:17rem;
      
    padding: 5px 0;
    border-top-right-radius: 15px;
    border-top-left-radius: 15px;
    z-index: 1;
    box-shadow: 0 0 2px rgb(175,175,175);
}

.footer1{
    position: absolute;
    bottom: 0;
    width:17rem;
  
    background: white;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    color: indianred;
    padding: 15px 0;
    text-align: center;
    font-size: 14px;
    box-shadow: 0 0 3px rgb(153,153,153);
   
}
  }
  